<!-- EditArea - Vue wrapper to Pixi.js (non-vue) editor -->

<template>
  <canvas ref="gc" style="editarea"></canvas>
</template>

<script lang="ts">
import Vue from 'vue';
import PEditArea from "@/pixi/PEditArea";

export default Vue.extend({
  data() {
    return {
      editArea: {} as PEditArea
    }
  },

  methods: {
    resize(): void {
      this.editArea.resize();
    },

    zoomIn(): void { this.editArea.zoomIn(); },
    zoomOut(): void { this.editArea.zoomOut(); },
    zoomReset(): void { this.editArea.zoomReset(); }
  },

  mounted(): void {
    this.editArea = new PEditArea(this.$refs.gc as HTMLCanvasElement);
    this.resize();
    window.addEventListener('resize', () => { 
      this.resize();
    });
  }
});
</script>

<style scoped>
.editarea {
  background-color: transparent;
}
</style>
